For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSubmit a bank statement PDF
      • GETRetrieve a bank statement
      • GETRetrieve the extraction results
      • GETList all bank statements
      • DELDeletes a bank statement
      • POSTQuickly extract account holder, institution and first account
LogoLogo
Legacy DocsSign in
API ReferenceBank Statements

Retrieve the extraction results

GET
https://api.ntropy.com/v3/bank_statements/:id/results
GET
/v3/bank_statements/:id/results
$curl https://api.ntropy.com/v3/bank_statements/id/results \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "accounts": [
3 {
4 "transactions": [
5 {
6 "id": "txn_001a2b3c",
7 "description": "Payroll Deposit - ACME Corp",
8 "date": "2023-01-05",
9 "amount": 2000,
10 "entry_type": "incoming",
11 "currency": "USD",
12 "running_balance": 3500.75,
13 "page_number": 1
14 },
15 {
16 "id": "txn_004d5e6f",
17 "description": "Electricity Bill Payment",
18 "date": "2023-01-10",
19 "amount": 150.25,
20 "entry_type": "outgoing",
21 "currency": "USD",
22 "running_balance": 3350.5,
23 "page_number": 1
24 },
25 {
26 "id": "txn_007g8h9i",
27 "description": "Grocery Store Purchase",
28 "date": "2023-01-15",
29 "amount": 120,
30 "entry_type": "outgoing",
31 "currency": "USD",
32 "running_balance": 3230.5,
33 "page_number": 2
34 },
35 {
36 "id": "txn_010j1k2l",
37 "description": "Refund from Online Retailer",
38 "date": "2023-01-20",
39 "amount": 50,
40 "entry_type": "incoming",
41 "currency": "USD",
42 "running_balance": 3280.5,
43 "page_number": 2
44 },
45 {
46 "id": "txn_013m4n5o",
47 "description": "Monthly Rent Payment",
48 "date": "2023-01-25",
49 "amount": 2000,
50 "entry_type": "outgoing",
51 "currency": "USD",
52 "running_balance": 1280.5,
53 "page_number": 3
54 }
55 ],
56 "number": "123456789012",
57 "name": "Primary Checking Account",
58 "opening_balance": 1500.75,
59 "closing_balance": 1200.5,
60 "start_date": "2023-01-01",
61 "end_date": "2023-01-31",
62 "is_balance_reconciled": true,
63 "total_incoming": 500,
64 "total_outgoing": 800.25
65 }
66 ]
67}

Return the extracted account information and associated transactions from a bank statement PDF. The results are accessible once the statement’s status is completed.

Was this page helpful?
Previous

List all bank statements

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

idstringRequired

Response

Successful Response
accountslist of objects
List of accounts in the bank statement.

Errors

404
Not Found Error
422
Unprocessable Entity Error